NFS Import Job¶
Get¶
HTTP Request
GET /api/v1/imports/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "totalObjectCount": 0,
28 "fileStorageId": "string",
29 "importDocumentFileName": "string",
30 "version": 0,
31 "readOnly": true,
32 "importDocumentStoreId": 0,
33 "input": {
34 "erpSystemId": 0,
35 "principalPositionType": "LESSEE",
36 "useMassWorkflowTransition": true,
37 "massWorkflowJobBatchSize": 0,
38 "terminalState": "MLA_DEFINE",
39 "transitions": [
40 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
41 ],
42 "useDefaultMassWorkflowWorkbookInput": true,
43 "leaseComponentRevisionId": 0
44 },
45 "requestReferences": [
46 {
47 "key": "string",
48 "value": "string"
49 }
50 ],
51 "sheetTypes": [
52 {
53 "persistentId": "string",
54 "rowCaption": "string",
55 "tabCaption": "string",
56 "sheetCaption": "string",
57 "sheetGroupType": "MASTER_AGREEMENT",
58 "principalPositionMode": "LESSEE",
59 "order": 0,
60 "name": "string"
61 }
62 ],
63 "sheetGroupTypes": [
64 "MASTER_AGREEMENT"
65 ]
66 }
67}
Update¶
HTTP Request
PUT /api/v1/imports/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "queueTime": "2019-08-24T14:15:22Z",
10 "startTime": "2019-08-24T14:15:22Z",
11 "endTime": "2019-08-24T14:15:22Z",
12 "status": "CREATED",
13 "batchSize": 1000,
14 "totalObjectCount": 0,
15 "fileStorageId": "string",
16 "importDocumentFileName": "string",
17 "version": 0,
18 "readOnly": true,
19 "importDocumentStoreId": 0,
20 "input": {
21 "erpSystemId": 0,
22 "principalPositionType": "LESSEE",
23 "useMassWorkflowTransition": true,
24 "massWorkflowJobBatchSize": 0,
25 "terminalState": "MLA_DEFINE",
26 "transitions": [
27 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
28 ],
29 "useDefaultMassWorkflowWorkbookInput": true,
30 "leaseComponentRevisionId": 0
31 },
32 "requestReferences": [
33 {
34 "key": "string",
35 "value": "string"
36 }
37 ],
38 "sheetTypes": [
39 {
40 "persistentId": "string",
41 "rowCaption": "string",
42 "tabCaption": "string",
43 "sheetCaption": "string",
44 "sheetGroupType": "MASTER_AGREEMENT",
45 "principalPositionMode": "LESSEE",
46 "order": 0,
47 "name": "string"
48 }
49 ],
50 "sheetGroupTypes": [
51 "MASTER_AGREEMENT"
52 ]
53}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "totalObjectCount": 0,
28 "fileStorageId": "string",
29 "importDocumentFileName": "string",
30 "version": 0,
31 "readOnly": true,
32 "importDocumentStoreId": 0,
33 "input": {
34 "erpSystemId": 0,
35 "principalPositionType": "LESSEE",
36 "useMassWorkflowTransition": true,
37 "massWorkflowJobBatchSize": 0,
38 "terminalState": "MLA_DEFINE",
39 "transitions": [
40 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
41 ],
42 "useDefaultMassWorkflowWorkbookInput": true,
43 "leaseComponentRevisionId": 0
44 },
45 "requestReferences": [
46 {
47 "key": "string",
48 "value": "string"
49 }
50 ],
51 "sheetTypes": [
52 {
53 "persistentId": "string",
54 "rowCaption": "string",
55 "tabCaption": "string",
56 "sheetCaption": "string",
57 "sheetGroupType": "MASTER_AGREEMENT",
58 "principalPositionMode": "LESSEE",
59 "order": 0,
60 "name": "string"
61 }
62 ],
63 "sheetGroupTypes": [
64 "MASTER_AGREEMENT"
65 ]
66 }
67}
Create Or Update Bulk¶
HTTP Request
PUT /api/v1/imports/createOrUpdate/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "taskCount": 0,
5 "failedTaskCount": 0,
6 "doneTaskCount": 0,
7 "inProgressTaskCount": 0,
8 "cancelledTaskCount": 0,
9 "errorMessage": "string",
10 "queueTime": "2019-08-24T14:15:22Z",
11 "startTime": "2019-08-24T14:15:22Z",
12 "endTime": "2019-08-24T14:15:22Z",
13 "status": "CREATED",
14 "batchSize": 1000,
15 "totalObjectCount": 0,
16 "fileStorageId": "string",
17 "importDocumentFileName": "string",
18 "version": 0,
19 "readOnly": true,
20 "importDocumentStoreId": 0,
21 "input": {
22 "erpSystemId": 0,
23 "principalPositionType": "LESSEE",
24 "useMassWorkflowTransition": true,
25 "massWorkflowJobBatchSize": 0,
26 "terminalState": "MLA_DEFINE",
27 "transitions": [
28 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
29 ],
30 "useDefaultMassWorkflowWorkbookInput": true,
31 "leaseComponentRevisionId": 0
32 },
33 "requestReferences": [
34 {
35 "key": "string",
36 "value": "string"
37 }
38 ],
39 "sheetTypes": [
40 {
41 "persistentId": "string",
42 "rowCaption": "string",
43 "tabCaption": "string",
44 "sheetCaption": "string",
45 "sheetGroupType": "MASTER_AGREEMENT",
46 "principalPositionMode": "LESSEE",
47 "order": 0,
48 "name": "string"
49 }
50 ],
51 "sheetGroupTypes": [
52 "MASTER_AGREEMENT"
53 ]
54 }
55]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "taskCount": 0,
18 "failedTaskCount": 0,
19 "doneTaskCount": 0,
20 "inProgressTaskCount": 0,
21 "cancelledTaskCount": 0,
22 "errorMessage": "string",
23 "queueTime": "2019-08-24T14:15:22Z",
24 "startTime": "2019-08-24T14:15:22Z",
25 "endTime": "2019-08-24T14:15:22Z",
26 "status": "CREATED",
27 "batchSize": 1000,
28 "totalObjectCount": 0,
29 "fileStorageId": "string",
30 "importDocumentFileName": "string",
31 "version": 0,
32 "readOnly": true,
33 "importDocumentStoreId": 0,
34 "input": {
35 "erpSystemId": 0,
36 "principalPositionType": "LESSEE",
37 "useMassWorkflowTransition": true,
38 "massWorkflowJobBatchSize": 0,
39 "terminalState": "MLA_DEFINE",
40 "transitions": [
41 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
42 ],
43 "useDefaultMassWorkflowWorkbookInput": true,
44 "leaseComponentRevisionId": 0
45 },
46 "requestReferences": [
47 {
48 "key": "string",
49 "value": "string"
50 }
51 ],
52 "sheetTypes": [
53 {
54 "persistentId": "string",
55 "rowCaption": "string",
56 "tabCaption": "string",
57 "sheetCaption": "string",
58 "sheetGroupType": "MASTER_AGREEMENT",
59 "principalPositionMode": "LESSEE",
60 "order": 0,
61 "name": "string"
62 }
63 ],
64 "sheetGroupTypes": [
65 "MASTER_AGREEMENT"
66 ]
67 }
68 ]
69}
Create Or Update¶
HTTP Request
PUT /api/v1/imports/createOrUpdate
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "queueTime": "2019-08-24T14:15:22Z",
10 "startTime": "2019-08-24T14:15:22Z",
11 "endTime": "2019-08-24T14:15:22Z",
12 "status": "CREATED",
13 "batchSize": 1000,
14 "totalObjectCount": 0,
15 "fileStorageId": "string",
16 "importDocumentFileName": "string",
17 "version": 0,
18 "readOnly": true,
19 "importDocumentStoreId": 0,
20 "input": {
21 "erpSystemId": 0,
22 "principalPositionType": "LESSEE",
23 "useMassWorkflowTransition": true,
24 "massWorkflowJobBatchSize": 0,
25 "terminalState": "MLA_DEFINE",
26 "transitions": [
27 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
28 ],
29 "useDefaultMassWorkflowWorkbookInput": true,
30 "leaseComponentRevisionId": 0
31 },
32 "requestReferences": [
33 {
34 "key": "string",
35 "value": "string"
36 }
37 ],
38 "sheetTypes": [
39 {
40 "persistentId": "string",
41 "rowCaption": "string",
42 "tabCaption": "string",
43 "sheetCaption": "string",
44 "sheetGroupType": "MASTER_AGREEMENT",
45 "principalPositionMode": "LESSEE",
46 "order": 0,
47 "name": "string"
48 }
49 ],
50 "sheetGroupTypes": [
51 "MASTER_AGREEMENT"
52 ]
53}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "totalObjectCount": 0,
28 "fileStorageId": "string",
29 "importDocumentFileName": "string",
30 "version": 0,
31 "readOnly": true,
32 "importDocumentStoreId": 0,
33 "input": {
34 "erpSystemId": 0,
35 "principalPositionType": "LESSEE",
36 "useMassWorkflowTransition": true,
37 "massWorkflowJobBatchSize": 0,
38 "terminalState": "MLA_DEFINE",
39 "transitions": [
40 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
41 ],
42 "useDefaultMassWorkflowWorkbookInput": true,
43 "leaseComponentRevisionId": 0
44 },
45 "requestReferences": [
46 {
47 "key": "string",
48 "value": "string"
49 }
50 ],
51 "sheetTypes": [
52 {
53 "persistentId": "string",
54 "rowCaption": "string",
55 "tabCaption": "string",
56 "sheetCaption": "string",
57 "sheetGroupType": "MASTER_AGREEMENT",
58 "principalPositionMode": "LESSEE",
59 "order": 0,
60 "name": "string"
61 }
62 ],
63 "sheetGroupTypes": [
64 "MASTER_AGREEMENT"
65 ]
66 }
67}
Bulk Update¶
HTTP Request
PUT /api/v1/imports/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "taskCount": 0,
5 "failedTaskCount": 0,
6 "doneTaskCount": 0,
7 "inProgressTaskCount": 0,
8 "cancelledTaskCount": 0,
9 "errorMessage": "string",
10 "queueTime": "2019-08-24T14:15:22Z",
11 "startTime": "2019-08-24T14:15:22Z",
12 "endTime": "2019-08-24T14:15:22Z",
13 "status": "CREATED",
14 "batchSize": 1000,
15 "totalObjectCount": 0,
16 "fileStorageId": "string",
17 "importDocumentFileName": "string",
18 "version": 0,
19 "readOnly": true,
20 "importDocumentStoreId": 0,
21 "input": {
22 "erpSystemId": 0,
23 "principalPositionType": "LESSEE",
24 "useMassWorkflowTransition": true,
25 "massWorkflowJobBatchSize": 0,
26 "terminalState": "MLA_DEFINE",
27 "transitions": [
28 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
29 ],
30 "useDefaultMassWorkflowWorkbookInput": true,
31 "leaseComponentRevisionId": 0
32 },
33 "requestReferences": [
34 {
35 "key": "string",
36 "value": "string"
37 }
38 ],
39 "sheetTypes": [
40 {
41 "persistentId": "string",
42 "rowCaption": "string",
43 "tabCaption": "string",
44 "sheetCaption": "string",
45 "sheetGroupType": "MASTER_AGREEMENT",
46 "principalPositionMode": "LESSEE",
47 "order": 0,
48 "name": "string"
49 }
50 ],
51 "sheetGroupTypes": [
52 "MASTER_AGREEMENT"
53 ]
54 }
55]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "taskCount": 0,
18 "failedTaskCount": 0,
19 "doneTaskCount": 0,
20 "inProgressTaskCount": 0,
21 "cancelledTaskCount": 0,
22 "errorMessage": "string",
23 "queueTime": "2019-08-24T14:15:22Z",
24 "startTime": "2019-08-24T14:15:22Z",
25 "endTime": "2019-08-24T14:15:22Z",
26 "status": "CREATED",
27 "batchSize": 1000,
28 "totalObjectCount": 0,
29 "fileStorageId": "string",
30 "importDocumentFileName": "string",
31 "version": 0,
32 "readOnly": true,
33 "importDocumentStoreId": 0,
34 "input": {
35 "erpSystemId": 0,
36 "principalPositionType": "LESSEE",
37 "useMassWorkflowTransition": true,
38 "massWorkflowJobBatchSize": 0,
39 "terminalState": "MLA_DEFINE",
40 "transitions": [
41 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
42 ],
43 "useDefaultMassWorkflowWorkbookInput": true,
44 "leaseComponentRevisionId": 0
45 },
46 "requestReferences": [
47 {
48 "key": "string",
49 "value": "string"
50 }
51 ],
52 "sheetTypes": [
53 {
54 "persistentId": "string",
55 "rowCaption": "string",
56 "tabCaption": "string",
57 "sheetCaption": "string",
58 "sheetGroupType": "MASTER_AGREEMENT",
59 "principalPositionMode": "LESSEE",
60 "order": 0,
61 "name": "string"
62 }
63 ],
64 "sheetGroupTypes": [
65 "MASTER_AGREEMENT"
66 ]
67 }
68 ]
69}
List NFS Sheet Group Types¶
HTTP Request
POST /api/v1/imports/types
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "MASTER_AGREEMENT"
3]
Response Schema
Download Template¶
HTTP Request
POST /api/v1/imports/template
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
sampleData |
query |
boolean |
false |
none |
body |
body |
true |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
sampleData |
|
query |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "queueTime": "2019-08-24T14:15:22Z",
10 "startTime": "2019-08-24T14:15:22Z",
11 "endTime": "2019-08-24T14:15:22Z",
12 "status": "CREATED",
13 "batchSize": 1000,
14 "totalObjectCount": 0,
15 "fileStorageId": "string",
16 "importDocumentFileName": "string",
17 "version": 0,
18 "readOnly": true,
19 "importDocumentStoreId": 0,
20 "input": {
21 "erpSystemId": 0,
22 "principalPositionType": "LESSEE",
23 "useMassWorkflowTransition": true,
24 "massWorkflowJobBatchSize": 0,
25 "terminalState": "MLA_DEFINE",
26 "transitions": [
27 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
28 ],
29 "useDefaultMassWorkflowWorkbookInput": true,
30 "leaseComponentRevisionId": 0
31 },
32 "requestReferences": [
33 {
34 "key": "string",
35 "value": "string"
36 }
37 ],
38 "sheetTypes": [
39 {
40 "persistentId": "string",
41 "rowCaption": "string",
42 "tabCaption": "string",
43 "sheetCaption": "string",
44 "sheetGroupType": "MASTER_AGREEMENT",
45 "principalPositionMode": "LESSEE",
46 "order": 0,
47 "name": "string"
48 }
49 ],
50 "sheetGroupTypes": [
51 "MASTER_AGREEMENT"
52 ]
53}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Search Tasks¶
HTTP Request
POST /api/v1/imports/tasks/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» filter |
body |
false |
none |
|
»» idIn |
body |
[integer] |
false |
none |
»» idEqual |
body |
integer(int64) |
false |
none |
»» idLike |
body |
string |
false |
none |
»» createdAtGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» createdAtLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» createdByLike |
body |
string |
false |
none |
»» createdByEqual |
body |
string |
false |
none |
»» modifiedAtGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» modifiedAtLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» modifiedByLike |
body |
string |
false |
none |
»» modifiedByEqual |
body |
string |
false |
none |
»» queueTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» queueTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» startTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» startTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» endTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» endTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» statusIn |
body |
[string] |
false |
none |
»» statusEqual |
body |
string |
false |
none |
»» jobIdEqual |
body |
integer(int64) |
false |
none |
»» itemsSheetTypeIn |
body |
false |
none |
|
»»» persistentId |
body |
string |
true |
none |
»»» rowCaption |
body |
string |
true |
none |
»»» tabCaption |
body |
string |
true |
none |
»»» sheetCaption |
body |
string |
true |
none |
»»» sheetGroupType |
body |
string |
true |
none |
»»» principalPositionMode |
body |
string |
true |
none |
»»» order |
body |
integer(int32) |
false |
none |
»»» name |
body |
string |
true |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» statusEqual |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
»» statusIn |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
»»» principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
»»» sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "filter": {
3 "idIn": [
4 0
5 ],
6 "idEqual": 0,
7 "idLike": "string",
8 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
10 "createdByLike": "string",
11 "createdByEqual": "string",
12 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
14 "modifiedByLike": "string",
15 "modifiedByEqual": "string",
16 "queueTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
17 "queueTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
18 "startTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
19 "startTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
20 "endTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
21 "endTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
22 "statusIn": [
23 "CREATED"
24 ],
25 "statusEqual": "CREATED",
26 "jobIdEqual": 0,
27 "itemsSheetTypeIn": [
28 {
29 "persistentId": "string",
30 "rowCaption": "string",
31 "tabCaption": "string",
32 "sheetCaption": "string",
33 "sheetGroupType": "MASTER_AGREEMENT",
34 "principalPositionMode": "LESSEE",
35 "order": 0,
36 "name": "string"
37 }
38 ]
39 },
40 "pageable": {
41 "page": 0,
42 "size": 10,
43 "sort": [
44 "id,asc",
45 "name,desc"
46 ]
47 }
48}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "queueTime": "2019-08-24T14:15:22Z",
24 "startTime": "2019-08-24T14:15:22Z",
25 "endTime": "2019-08-24T14:15:22Z",
26 "interruptedAt": "2019-08-24T14:15:22Z",
27 "recoveredAt": "2019-08-24T14:15:22Z",
28 "status": "CREATED",
29 "recover": true,
30 "interrupted": true,
31 "interruptionMessage": "string",
32 "errorMessage": "string",
33 "totalObjectCount": 0,
34 "jobId": 0,
35 "input": {
36 "erpSystemId": 0,
37 "principalPositionType": "LESSEE",
38 "useMassWorkflowTransition": true,
39 "massWorkflowJobBatchSize": 0,
40 "terminalState": "MLA_DEFINE",
41 "transitions": [
42 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
43 ],
44 "useDefaultMassWorkflowWorkbookInput": true,
45 "leaseComponentRevisionId": 0
46 },
47 "items": [
48 {
49 "id": 0,
50 "importTaskId": 0,
51 "sheetType": {
52 "persistentId": "string",
53 "rowCaption": "string",
54 "tabCaption": "string",
55 "sheetCaption": "string",
56 "sheetGroupType": "MASTER_AGREEMENT",
57 "principalPositionMode": "LESSEE",
58 "order": 0,
59 "name": "string"
60 },
61 "startedAt": "2019-08-24T14:15:22Z",
62 "finishedAt": "2019-08-24T14:15:22Z",
63 "doneItemCount": 0,
64 "failedItemCount": 0,
65 "skippedItemCount": 0,
66 "cancelledItemCount": 0,
67 "totalItemCount": 0
68 }
69 ],
70 "massWorkflowJobId": 0,
71 "massWorkflowJobMessage": "string"
72 }
73 ],
74 "number": 0,
75 "sort": {
76 "unsorted": false,
77 "sorted": true,
78 "empty": false
79 },
80 "empty": true
81}
List Sorted Import Job Sheet Types¶
HTTP Request
POST /api/v1/imports/sub-items
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "queueTime": "2019-08-24T14:15:22Z",
10 "startTime": "2019-08-24T14:15:22Z",
11 "endTime": "2019-08-24T14:15:22Z",
12 "status": "CREATED",
13 "batchSize": 1000,
14 "totalObjectCount": 0,
15 "fileStorageId": "string",
16 "importDocumentFileName": "string",
17 "version": 0,
18 "readOnly": true,
19 "importDocumentStoreId": 0,
20 "input": {
21 "erpSystemId": 0,
22 "principalPositionType": "LESSEE",
23 "useMassWorkflowTransition": true,
24 "massWorkflowJobBatchSize": 0,
25 "terminalState": "MLA_DEFINE",
26 "transitions": [
27 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
28 ],
29 "useDefaultMassWorkflowWorkbookInput": true,
30 "leaseComponentRevisionId": 0
31 },
32 "requestReferences": [
33 {
34 "key": "string",
35 "value": "string"
36 }
37 ],
38 "sheetTypes": [
39 {
40 "persistentId": "string",
41 "rowCaption": "string",
42 "tabCaption": "string",
43 "sheetCaption": "string",
44 "sheetGroupType": "MASTER_AGREEMENT",
45 "principalPositionMode": "LESSEE",
46 "order": 0,
47 "name": "string"
48 }
49 ],
50 "sheetGroupTypes": [
51 "MASTER_AGREEMENT"
52 ]
53}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "persistentId": "string",
4 "rowCaption": "string",
5 "tabCaption": "string",
6 "sheetCaption": "string",
7 "sheetGroupType": "MASTER_AGREEMENT",
8 "principalPositionMode": "LESSEE",
9 "order": 0,
10 "name": "string"
11 }
12]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» persistentId |
string |
true |
none |
none |
» rowCaption |
string |
true |
none |
none |
» tabCaption |
string |
true |
none |
none |
» sheetCaption |
string |
true |
none |
none |
» sheetGroupType |
string |
true |
none |
none |
» principalPositionMode |
string |
true |
none |
none |
» order |
integer(int32) |
false |
none |
none |
» name |
string |
true |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Search¶
HTTP Request
POST /api/v1/imports/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "sheetGroupTypeIn": [
16 "MASTER_AGREEMENT"
17 ],
18 "requestReferencesEqual": [
19 {
20 "key": "string",
21 "value": "string"
22 }
23 ]
24}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "taskCount": 0,
24 "failedTaskCount": 0,
25 "doneTaskCount": 0,
26 "inProgressTaskCount": 0,
27 "cancelledTaskCount": 0,
28 "errorMessage": "string",
29 "queueTime": "2019-08-24T14:15:22Z",
30 "startTime": "2019-08-24T14:15:22Z",
31 "endTime": "2019-08-24T14:15:22Z",
32 "status": "CREATED",
33 "batchSize": 1000,
34 "totalObjectCount": 0,
35 "fileStorageId": "string",
36 "importDocumentFileName": "string",
37 "version": 0,
38 "readOnly": true,
39 "importDocumentStoreId": 0,
40 "input": {
41 "erpSystemId": 0,
42 "principalPositionType": "LESSEE",
43 "useMassWorkflowTransition": true,
44 "massWorkflowJobBatchSize": 0,
45 "terminalState": "MLA_DEFINE",
46 "transitions": [
47 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
48 ],
49 "useDefaultMassWorkflowWorkbookInput": true,
50 "leaseComponentRevisionId": 0
51 },
52 "requestReferences": [
53 {
54 "key": "string",
55 "value": "string"
56 }
57 ],
58 "sheetTypes": [
59 {
60 "persistentId": "string",
61 "rowCaption": "string",
62 "tabCaption": "string",
63 "sheetCaption": "string",
64 "sheetGroupType": "MASTER_AGREEMENT",
65 "principalPositionMode": "LESSEE",
66 "order": 0,
67 "name": "string"
68 }
69 ],
70 "sheetGroupTypes": [
71 "MASTER_AGREEMENT"
72 ]
73 }
74 ],
75 "number": 0,
76 "sort": {
77 "unsorted": false,
78 "sorted": true,
79 "empty": false
80 },
81 "empty": true
82}
Search Details¶
HTTP Request
POST /api/v1/imports/reports/details/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» filter |
body |
false |
none |
|
»» reportTypeEqual |
body |
string |
false |
none |
»» itemIdIn |
body |
[integer] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» reportTypeEqual |
ERROR, SKIPPED, SUCCESS, WARNING |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "filter": {
3 "reportTypeEqual": "SUCCESS",
4 "itemIdIn": [
5 0
6 ]
7 },
8 "pageable": {
9 "page": 0,
10 "size": 10,
11 "sort": [
12 "id,asc",
13 "name,desc"
14 ]
15 }
16}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "rowNumber": 0,
23 "displayId": "string",
24 "reportType": "SUCCESS",
25 "message": "string",
26 "itemId": 0
27 }
28 ],
29 "number": 0,
30 "sort": {
31 "unsorted": false,
32 "sorted": true,
33 "empty": false
34 },
35 "empty": true
36}
Get Number Of Filtered Entities¶
HTTP Request
POST /api/v1/imports/number-of-filtered-entities
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
true |
none |
» request |
body |
true |
none |
|
»» id |
body |
integer(int64) |
false |
none |
»» taskCount |
body |
integer(int32) |
false |
none |
»» failedTaskCount |
body |
integer(int32) |
false |
none |
»» doneTaskCount |
body |
integer(int32) |
false |
none |
»» inProgressTaskCount |
body |
integer(int32) |
false |
none |
»» cancelledTaskCount |
body |
integer(int32) |
false |
none |
»» errorMessage |
body |
string |
false |
none |
»» queueTime |
body |
string(date-time) |
false |
none |
»» startTime |
body |
string(date-time) |
false |
none |
»» endTime |
body |
string(date-time) |
false |
none |
»» status |
body |
string |
false |
none |
»» batchSize |
body |
integer(int32) |
false |
none |
»» totalObjectCount |
body |
integer(int32) |
false |
none |
»» fileStorageId |
body |
string |
false |
none |
»» importDocumentFileName |
body |
string |
false |
none |
»» version |
body |
integer(int32) |
false |
none |
»» readOnly |
body |
boolean |
false |
none |
»» importDocumentStoreId |
body |
integer(int64) |
false |
none |
»» input |
body |
false |
none |
|
»»» erpSystemId |
body |
integer(int64) |
false |
none |
»»» principalPositionType |
body |
string |
false |
none |
»»» useMassWorkflowTransition |
body |
boolean |
false |
none |
»»» massWorkflowJobBatchSize |
body |
integer(int32) |
false |
none |
»»» terminalState |
body |
string |
false |
none |
»»» transitions |
body |
[string] |
false |
none |
»»» useDefaultMassWorkflowWorkbookInput |
body |
boolean |
false |
none |
»»» leaseComponentRevisionId |
body |
integer(int64) |
false |
none |
»» requestReferences |
body |
false |
none |
|
»»» key |
body |
string |
false |
none |
»»» value |
body |
string |
false |
none |
»» sheetTypes |
body |
false |
none |
|
»»» persistentId |
body |
string |
true |
none |
»»» rowCaption |
body |
string |
true |
none |
»»» tabCaption |
body |
string |
true |
none |
»»» sheetCaption |
body |
string |
true |
none |
»»» sheetGroupType |
body |
string |
true |
none |
»»» principalPositionMode |
body |
string |
true |
none |
»»» order |
body |
integer(int32) |
false |
none |
»»» name |
body |
string |
true |
none |
»» sheetGroupTypes |
body |
[string] |
false |
none |
» file |
body |
string(binary) |
true |
none |
Enumerated Values
Attribute |
Value |
|---|---|
»» sheetGroupTypes |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
»» status |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
»»» principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
»»» principalPositionType |
LESSEE, LESSOR |
»»» sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
»»» terminalState |
AG_ACTIVATING, AG_ACTIVE, AG_CLASSIFIED, AG_CLOSED, AG_CLOSING, AG_DEFINE, AG_GENERATING_SCHEDULE, AG_GENERATING_SCHEDULE_2, AG_INACTIVE, AG_LEASE_END, AG_LEASE_ENDING, AG_PENDING_ASSESSMENT, AG_PENDING_CLASSIFICATION, AG_RECLOSE, AG_REJECTED, AG_REPROCESS, AG_REVERSING, AG_REVERTED, AG_REVERTING, AG_REVISION, AG_SPLITTING, CONTRACT_ACTIVE, CONTRACT_CLOSED, CONTRACT_DEFINE, CONTRACT_REJECTED, CONTRACT_REVISION, CONTRACT_WAITING_FOR_APPROVAL, LC_ACTIVATING, LC_ACTIVE, LC_CLOSED, LC_DEFINE, LC_REJECTED, LC_REVISION, LC_WAITING_FOR_APPROVAL, MLA_ACTIVE, MLA_CLOSED, MLA_DEFINE, MLA_DISCARDED, MLA_WAITING_FOR_APPROVAL, UNIT_ACTIVE, UNIT_CASUALTY, UNIT_DELIVERED, UNIT_DRAFT, UNIT_INITIAL, UNIT_PURCHASED, UNIT_REACQUIRED, UNIT_RECEIVED, UNIT_RELINQUISHED, UNIT_RETURNED, UNIT_SHIPPED |
»»» transitions |
AG_ACTIVATING_TO_ACTIVE, AG_ACTIVE_TO_LEASE_ENDING, AG_CLASSIFIED_TO_ACTIVATING, AG_CLASSIFIED_TO_DEFINE, AG_CLASSIFIED_TO_REJECTED, AG_CLOSING_TO_CLOSE, AG_DEFINE_TO_GENERATING, AG_DEFINE_TO_GENERATING_2, AG_GENERATING_TO_DEFINE, AG_GENERATING_TO_PENDING_ASSESSMENT, AG_LEASE_ENDING_TO_LEASE_END, AG_LEASE_END_TO_CLOSING, AG_PENDING_ASSESSMENT_TO_DEFINE, AG_PENDING_ASSESSMENT_TO_PENDING_CLASSIFICATION, AG_PENDING_CLASSIFICATION_TO_CLASSIFIED, AG_PENDING_CLASSIFICATION_TO_DEFINE, AG_RECLOSE_TO_CLOSING, AG_REPROCESS_TO_ACTIVATING, AG_REPROCESS_TO_REVERSING, AG_REVERSING_TO_DEFINE, AG_SPLITTING_TO_UNKNOWN, CONTRACT_ACTIVE_TO_CLOSE, CONTRACT_ACTIVE_TO_DEFINE, CONTRACT_ACTIVE_TO_REJECTED, CONTRACT_DEFINE_TO_WAITING_FOR_APPROVAL, CONTRACT_WAITING_FOR_APPROVAL_TO_APPROVED, CONTRACT_WAITING_FOR_APPROVAL_TO_DEFINE, LC_ACTIVATING_TO_APPROVED, LC_ACTIVE_TO_CLOSE, LC_ACTIVE_TO_DEFINE, LC_ACTIVE_TO_REJECTED, LC_DEFINE_TO_WAITING_FOR_APPROVAL, LC_WAITING_FOR_APPROVAL_TO_ACTIVATING, LC_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_ACTIVE_TO_CLOSED, MLA_ACTIVE_TO_DEFINE, MLA_DEFINE_TO_WAITING_FOR_APPROVAL, MLA_WAITING_FOR_APPROVAL_TO_ACTIVE, MLA_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_WAITING_FOR_APPROVAL_TO_DISCARDED, UNIT_ACTIVE_TO_CLOSED, UNIT_DELIVERED_TO_REACQUIRED, UNIT_DELIVERED_TO_RELINQUISHED, UNIT_DRAFT_TO_INITIAL, UNIT_INITIAL_TO_RECEIVED, UNIT_INITIAL_TO_SHIPPED, UNIT_RECEIVED_TO_ACTIVE, UNIT_SHIPPED_TO_DELIVERED |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» batchSize |
Min: 1000, Max: 15000 |
Body Parameters
1{
2 "file": "string",
3 "request": {
4 "batchSize": 1000,
5 "cancelledTaskCount": 0,
6 "doneTaskCount": 0,
7 "endTime": "2019-08-24 14:15:22+00:00",
8 "errorMessage": "string",
9 "failedTaskCount": 0,
10 "fileStorageId": "string",
11 "id": 0,
12 "importDocumentFileName": "string",
13 "importDocumentStoreId": 0,
14 "inProgressTaskCount": 0,
15 "input": {
16 "erpSystemId": 0,
17 "leaseComponentRevisionId": 0,
18 "massWorkflowJobBatchSize": 0,
19 "principalPositionType": "LESSEE",
20 "terminalState": "MLA_DEFINE",
21 "transitions": [
22 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
23 ],
24 "useDefaultMassWorkflowWorkbookInput": true,
25 "useMassWorkflowTransition": true
26 },
27 "queueTime": "2019-08-24 14:15:22+00:00",
28 "readOnly": true,
29 "requestReferences": [
30 {
31 "key": "string",
32 "value": "string"
33 }
34 ],
35 "sheetGroupTypes": [
36 "MASTER_AGREEMENT"
37 ],
38 "sheetTypes": [
39 {
40 "name": "string",
41 "order": 0,
42 "persistentId": "string",
43 "principalPositionMode": "LESSEE",
44 "rowCaption": "string",
45 "sheetCaption": "string",
46 "sheetGroupType": "MASTER_AGREEMENT",
47 "tabCaption": "string"
48 }
49 ],
50 "startTime": "2019-08-24 14:15:22+00:00",
51 "status": "CREATED",
52 "taskCount": 0,
53 "totalObjectCount": 0,
54 "version": 0
55 }
56}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
integer |
Example Responses
10
Get Main Sheet Type¶
HTTP Request
POST /api/v1/imports/main-sheets
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
query |
string |
false |
none |
body |
body |
array[string] |
true |
none |
Enumerated Values
Attribute |
Value |
|---|---|
body |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Body Parameters
1[
2 "MASTER_AGREEMENT"
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "CONTACT"
3]
Response Schema
Cancel¶
HTTP Request
POST /api/v1/imports/cancel/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Cancel All¶
HTTP Request
POST /api/v1/imports/cancel/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Find All¶
HTTP Request
GET /api/v1/imports
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "taskCount": 0,
24 "failedTaskCount": 0,
25 "doneTaskCount": 0,
26 "inProgressTaskCount": 0,
27 "cancelledTaskCount": 0,
28 "errorMessage": "string",
29 "queueTime": "2019-08-24T14:15:22Z",
30 "startTime": "2019-08-24T14:15:22Z",
31 "endTime": "2019-08-24T14:15:22Z",
32 "status": "CREATED",
33 "batchSize": 1000,
34 "totalObjectCount": 0,
35 "fileStorageId": "string",
36 "importDocumentFileName": "string",
37 "version": 0,
38 "readOnly": true,
39 "importDocumentStoreId": 0,
40 "input": {
41 "erpSystemId": 0,
42 "principalPositionType": "LESSEE",
43 "useMassWorkflowTransition": true,
44 "massWorkflowJobBatchSize": 0,
45 "terminalState": "MLA_DEFINE",
46 "transitions": [
47 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
48 ],
49 "useDefaultMassWorkflowWorkbookInput": true,
50 "leaseComponentRevisionId": 0
51 },
52 "requestReferences": [
53 {
54 "key": "string",
55 "value": "string"
56 }
57 ],
58 "sheetTypes": [
59 {
60 "persistentId": "string",
61 "rowCaption": "string",
62 "tabCaption": "string",
63 "sheetCaption": "string",
64 "sheetGroupType": "MASTER_AGREEMENT",
65 "principalPositionMode": "LESSEE",
66 "order": 0,
67 "name": "string"
68 }
69 ],
70 "sheetGroupTypes": [
71 "MASTER_AGREEMENT"
72 ]
73 }
74 ],
75 "number": 0,
76 "sort": {
77 "unsorted": false,
78 "sorted": true,
79 "empty": false
80 },
81 "empty": true
82}
Create¶
HTTP Request
POST /api/v1/imports
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
true |
none |
» request |
body |
true |
none |
|
»» id |
body |
integer(int64) |
false |
none |
»» taskCount |
body |
integer(int32) |
false |
none |
»» failedTaskCount |
body |
integer(int32) |
false |
none |
»» doneTaskCount |
body |
integer(int32) |
false |
none |
»» inProgressTaskCount |
body |
integer(int32) |
false |
none |
»» cancelledTaskCount |
body |
integer(int32) |
false |
none |
»» errorMessage |
body |
string |
false |
none |
»» queueTime |
body |
string(date-time) |
false |
none |
»» startTime |
body |
string(date-time) |
false |
none |
»» endTime |
body |
string(date-time) |
false |
none |
»» status |
body |
string |
false |
none |
»» batchSize |
body |
integer(int32) |
false |
none |
»» totalObjectCount |
body |
integer(int32) |
false |
none |
»» fileStorageId |
body |
string |
false |
none |
»» importDocumentFileName |
body |
string |
false |
none |
»» version |
body |
integer(int32) |
false |
none |
»» readOnly |
body |
boolean |
false |
none |
»» importDocumentStoreId |
body |
integer(int64) |
false |
none |
»» input |
body |
false |
none |
|
»»» erpSystemId |
body |
integer(int64) |
false |
none |
»»» principalPositionType |
body |
string |
false |
none |
»»» useMassWorkflowTransition |
body |
boolean |
false |
none |
»»» massWorkflowJobBatchSize |
body |
integer(int32) |
false |
none |
»»» terminalState |
body |
string |
false |
none |
»»» transitions |
body |
[string] |
false |
none |
»»» useDefaultMassWorkflowWorkbookInput |
body |
boolean |
false |
none |
»»» leaseComponentRevisionId |
body |
integer(int64) |
false |
none |
»» requestReferences |
body |
false |
none |
|
»»» key |
body |
string |
false |
none |
»»» value |
body |
string |
false |
none |
»» sheetTypes |
body |
false |
none |
|
»»» persistentId |
body |
string |
true |
none |
»»» rowCaption |
body |
string |
true |
none |
»»» tabCaption |
body |
string |
true |
none |
»»» sheetCaption |
body |
string |
true |
none |
»»» sheetGroupType |
body |
string |
true |
none |
»»» principalPositionMode |
body |
string |
true |
none |
»»» order |
body |
integer(int32) |
false |
none |
»»» name |
body |
string |
true |
none |
»» sheetGroupTypes |
body |
[string] |
false |
none |
» file |
body |
string(binary) |
true |
none |
Enumerated Values
Attribute |
Value |
|---|---|
»» sheetGroupTypes |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
»» status |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
»»» principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
»»» principalPositionType |
LESSEE, LESSOR |
»»» sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
»»» terminalState |
AG_ACTIVATING, AG_ACTIVE, AG_CLASSIFIED, AG_CLOSED, AG_CLOSING, AG_DEFINE, AG_GENERATING_SCHEDULE, AG_GENERATING_SCHEDULE_2, AG_INACTIVE, AG_LEASE_END, AG_LEASE_ENDING, AG_PENDING_ASSESSMENT, AG_PENDING_CLASSIFICATION, AG_RECLOSE, AG_REJECTED, AG_REPROCESS, AG_REVERSING, AG_REVERTED, AG_REVERTING, AG_REVISION, AG_SPLITTING, CONTRACT_ACTIVE, CONTRACT_CLOSED, CONTRACT_DEFINE, CONTRACT_REJECTED, CONTRACT_REVISION, CONTRACT_WAITING_FOR_APPROVAL, LC_ACTIVATING, LC_ACTIVE, LC_CLOSED, LC_DEFINE, LC_REJECTED, LC_REVISION, LC_WAITING_FOR_APPROVAL, MLA_ACTIVE, MLA_CLOSED, MLA_DEFINE, MLA_DISCARDED, MLA_WAITING_FOR_APPROVAL, UNIT_ACTIVE, UNIT_CASUALTY, UNIT_DELIVERED, UNIT_DRAFT, UNIT_INITIAL, UNIT_PURCHASED, UNIT_REACQUIRED, UNIT_RECEIVED, UNIT_RELINQUISHED, UNIT_RETURNED, UNIT_SHIPPED |
»»» transitions |
AG_ACTIVATING_TO_ACTIVE, AG_ACTIVE_TO_LEASE_ENDING, AG_CLASSIFIED_TO_ACTIVATING, AG_CLASSIFIED_TO_DEFINE, AG_CLASSIFIED_TO_REJECTED, AG_CLOSING_TO_CLOSE, AG_DEFINE_TO_GENERATING, AG_DEFINE_TO_GENERATING_2, AG_GENERATING_TO_DEFINE, AG_GENERATING_TO_PENDING_ASSESSMENT, AG_LEASE_ENDING_TO_LEASE_END, AG_LEASE_END_TO_CLOSING, AG_PENDING_ASSESSMENT_TO_DEFINE, AG_PENDING_ASSESSMENT_TO_PENDING_CLASSIFICATION, AG_PENDING_CLASSIFICATION_TO_CLASSIFIED, AG_PENDING_CLASSIFICATION_TO_DEFINE, AG_RECLOSE_TO_CLOSING, AG_REPROCESS_TO_ACTIVATING, AG_REPROCESS_TO_REVERSING, AG_REVERSING_TO_DEFINE, AG_SPLITTING_TO_UNKNOWN, CONTRACT_ACTIVE_TO_CLOSE, CONTRACT_ACTIVE_TO_DEFINE, CONTRACT_ACTIVE_TO_REJECTED, CONTRACT_DEFINE_TO_WAITING_FOR_APPROVAL, CONTRACT_WAITING_FOR_APPROVAL_TO_APPROVED, CONTRACT_WAITING_FOR_APPROVAL_TO_DEFINE, LC_ACTIVATING_TO_APPROVED, LC_ACTIVE_TO_CLOSE, LC_ACTIVE_TO_DEFINE, LC_ACTIVE_TO_REJECTED, LC_DEFINE_TO_WAITING_FOR_APPROVAL, LC_WAITING_FOR_APPROVAL_TO_ACTIVATING, LC_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_ACTIVE_TO_CLOSED, MLA_ACTIVE_TO_DEFINE, MLA_DEFINE_TO_WAITING_FOR_APPROVAL, MLA_WAITING_FOR_APPROVAL_TO_ACTIVE, MLA_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_WAITING_FOR_APPROVAL_TO_DISCARDED, UNIT_ACTIVE_TO_CLOSED, UNIT_DELIVERED_TO_REACQUIRED, UNIT_DELIVERED_TO_RELINQUISHED, UNIT_DRAFT_TO_INITIAL, UNIT_INITIAL_TO_RECEIVED, UNIT_INITIAL_TO_SHIPPED, UNIT_RECEIVED_TO_ACTIVE, UNIT_SHIPPED_TO_DELIVERED |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» batchSize |
Min: 1000, Max: 15000 |
Body Parameters
1{
2 "file": "string",
3 "request": {
4 "batchSize": 1000,
5 "cancelledTaskCount": 0,
6 "doneTaskCount": 0,
7 "endTime": "2019-08-24 14:15:22+00:00",
8 "errorMessage": "string",
9 "failedTaskCount": 0,
10 "fileStorageId": "string",
11 "id": 0,
12 "importDocumentFileName": "string",
13 "importDocumentStoreId": 0,
14 "inProgressTaskCount": 0,
15 "input": {
16 "erpSystemId": 0,
17 "leaseComponentRevisionId": 0,
18 "massWorkflowJobBatchSize": 0,
19 "principalPositionType": "LESSEE",
20 "terminalState": "MLA_DEFINE",
21 "transitions": [
22 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
23 ],
24 "useDefaultMassWorkflowWorkbookInput": true,
25 "useMassWorkflowTransition": true
26 },
27 "queueTime": "2019-08-24 14:15:22+00:00",
28 "readOnly": true,
29 "requestReferences": [
30 {
31 "key": "string",
32 "value": "string"
33 }
34 ],
35 "sheetGroupTypes": [
36 "MASTER_AGREEMENT"
37 ],
38 "sheetTypes": [
39 {
40 "name": "string",
41 "order": 0,
42 "persistentId": "string",
43 "principalPositionMode": "LESSEE",
44 "rowCaption": "string",
45 "sheetCaption": "string",
46 "sheetGroupType": "MASTER_AGREEMENT",
47 "tabCaption": "string"
48 }
49 ],
50 "startTime": "2019-08-24 14:15:22+00:00",
51 "status": "CREATED",
52 "taskCount": 0,
53 "totalObjectCount": 0,
54 "version": 0
55 }
56}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "totalObjectCount": 0,
28 "fileStorageId": "string",
29 "importDocumentFileName": "string",
30 "version": 0,
31 "readOnly": true,
32 "importDocumentStoreId": 0,
33 "input": {
34 "erpSystemId": 0,
35 "principalPositionType": "LESSEE",
36 "useMassWorkflowTransition": true,
37 "massWorkflowJobBatchSize": 0,
38 "terminalState": "MLA_DEFINE",
39 "transitions": [
40 "MLA_DEFINE_TO_WAITING_FOR_APPROVAL"
41 ],
42 "useDefaultMassWorkflowWorkbookInput": true,
43 "leaseComponentRevisionId": 0
44 },
45 "requestReferences": [
46 {
47 "key": "string",
48 "value": "string"
49 }
50 ],
51 "sheetTypes": [
52 {
53 "persistentId": "string",
54 "rowCaption": "string",
55 "tabCaption": "string",
56 "sheetCaption": "string",
57 "sheetGroupType": "MASTER_AGREEMENT",
58 "principalPositionMode": "LESSEE",
59 "order": 0,
60 "name": "string"
61 }
62 ],
63 "sheetGroupTypes": [
64 "MASTER_AGREEMENT"
65 ]
66 }
67}
Get Permissible End States¶
HTTP Request
GET /api/v1/imports/{entity_type}/permissible-end-states
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
entity_type |
path |
string |
true |
none |
principalPositionType |
query |
string |
false |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "MLA_DEFINE"
3]
Response Schema
Get Ordered Possible Terminal States¶
HTTP Request
GET /api/v1/imports/{entity_type}/ordered-possible-terminal-states
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
entity_type |
path |
string |
true |
none |
principalPositionType |
query |
string |
false |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "MLA_DEFINE"
3]
Response Schema
Report By Task¶
HTTP Request
GET /api/v1/imports/reports/task/{taskId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
taskId |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "importTaskId": 0,
5 "sheetType": {
6 "persistentId": "string",
7 "rowCaption": "string",
8 "tabCaption": "string",
9 "sheetCaption": "string",
10 "sheetGroupType": "MASTER_AGREEMENT",
11 "principalPositionMode": "LESSEE",
12 "order": 0,
13 "name": "string"
14 },
15 "startedAt": "2019-08-24T14:15:22Z",
16 "finishedAt": "2019-08-24T14:15:22Z",
17 "doneItemCount": 0,
18 "failedItemCount": 0,
19 "skippedItemCount": 0,
20 "cancelledItemCount": 0,
21 "totalItemCount": 0
22 }
23]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» id |
integer(int64) |
false |
none |
none |
» importTaskId |
integer(int64) |
false |
none |
none |
» sheetType |
false |
none |
none |
|
»» persistentId |
string |
true |
none |
none |
»» rowCaption |
string |
true |
none |
none |
»» tabCaption |
string |
true |
none |
none |
»» sheetCaption |
string |
true |
none |
none |
»» sheetGroupType |
string |
true |
none |
none |
»» principalPositionMode |
string |
true |
none |
none |
»» order |
integer(int32) |
false |
none |
none |
»» name |
string |
true |
none |
none |
» startedAt |
string(date-time) |
false |
none |
none |
» finishedAt |
string(date-time) |
false |
none |
none |
» doneItemCount |
integer(int32) |
false |
none |
none |
» failedItemCount |
integer(int32) |
false |
none |
none |
» skippedItemCount |
integer(int32) |
false |
none |
none |
» cancelledItemCount |
integer(int32) |
false |
none |
none |
» totalItemCount |
integer(int32) |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Report By Job¶
HTTP Request
GET /api/v1/imports/reports/job/{jobId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
jobId |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "ids": [
4 0
5 ],
6 "sheetType": {
7 "persistentId": "string",
8 "rowCaption": "string",
9 "tabCaption": "string",
10 "sheetCaption": "string",
11 "sheetGroupType": "MASTER_AGREEMENT",
12 "principalPositionMode": "LESSEE",
13 "order": 0,
14 "name": "string"
15 },
16 "startedAt": "2019-08-24T14:15:22Z",
17 "finishedAt": "2019-08-24T14:15:22Z",
18 "doneItemCount": 0,
19 "failedItemCount": 0,
20 "skippedItemCount": 0,
21 "cancelledItemCount": 0,
22 "totalItemCount": 0
23 }
24]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» ids |
[integer] |
false |
none |
none |
» sheetType |
false |
none |
none |
|
»» persistentId |
string |
true |
none |
none |
»» rowCaption |
string |
true |
none |
none |
»» tabCaption |
string |
true |
none |
none |
»» sheetCaption |
string |
true |
none |
none |
»» sheetGroupType |
string |
true |
none |
none |
»» principalPositionMode |
string |
true |
none |
none |
»» order |
integer(int32) |
false |
none |
none |
»» name |
string |
true |
none |
none |
» startedAt |
string(date-time) |
false |
none |
none |
» finishedAt |
string(date-time) |
false |
none |
none |
» doneItemCount |
integer(int32) |
false |
none |
none |
» failedItemCount |
integer(int32) |
false |
none |
none |
» skippedItemCount |
integer(int32) |
false |
none |
none |
» cancelledItemCount |
integer(int32) |
false |
none |
none |
» totalItemCount |
integer(int32) |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
principalPositionMode |
LESSEE, LESSEE_LESSOR, LESSOR |
sheetGroupType |
ACTIVATION_GROUP, CHARGE, CONTACT, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, NOT_AVAILABLE, SCHEDULE, UNIT |
Download Xlsx Report¶
HTTP Request
GET /api/v1/imports/download_xlsx_report/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Download Original Import File¶
HTTP Request
GET /api/v1/imports/download_original/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |